# Preguntas frecuentes de la Universidad de Valladolid (UVA) 
Obtención y procesamiento de las preguntas frecuentes (FAQs) de la [página de Relaciones Internacionales](https://relint.uva.es/internacional/espanol/estudiantes/guia-bienvenida/preguntas-frecuentes/) y la [paǵina de Escuela de Doctorado](https://escueladoctorado.uva.es/export/sites/doctorado/faqs/AAFF/?lang=es) 
de la Universidad de Valladolid en **Español** e **Inglés**. Parte del Trabajo de Fin de Grado **Asistentes virtuales: estado del arte y desarrollo de un prototipo** realizado por D. Pablo Valdunciel Sánchez.

Las preguntas son almacenadas tanto en formato CSV como en formato JSON. Cada fichero posee los siguientes 2 campos:

- **Question**: contiene la pregunta.
- **Answer**: contiene la respuesta.

Descomentando las líneas de código comentadas, existe la posibilidad de añadir a mayores:

- **Section**: indica la sección a la que pertenece la pregunta.

### Ejecución
El fichero [main.py](./main.py) descarga las paǵinas HTML, extrae los pares de preguntas y respuestas y los almacena en el formato descrito en ficheros CSV y JSON. Este repositorio ya contiene los ficheros HTML, así como los pares pregunta-respuesta extraidos en ficheros CSV y JSON resultantes de la ejecución de [main.py](./main.py).

Si desea ejecutar el fichero [main.py](./main.py) para volver a extraer los pares pregunta-respuesta, instale las dependencias y ejecute en la consola el comando
```
python main.py 
```
situándose en el directorio raíz del repositorio.

### Dependencias 
```
pandas~=1.0.3
bs4~=0.0.1
beautifulsoup4~=4.8.2
```

